<ion-header class="ion-no-border">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button slot="start" (click)="canDismiss()">
        <ion-icon name="close-sharp"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title>Profile and Settings </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <ion-list>
    <!--     <ion-card style="margin-left: 5%; margin-right: 5%;margin-bottom: 5%;">
        <ion-item lines="none">

            <ion-icon slot="start" name="contrast-outline"></ion-icon>
            <ion-label>Toogle Dark Mode</ion-label>




            <ion-buttons slot="end">

                <ion-button  (click)="this.theme.disableDarkMode()" ><ion-icon  name="sunny-outline"></ion-icon></ion-button>
                <ion-button  (click)="this.theme.enableDarkMode()"><ion-icon name="moon-outline"></ion-icon></ion-button>

            </ion-buttons>
        </ion-item>
    </ion-card> -->

    <ion-card style="margin-left: 5%; margin-right: 5%;margin-bottom: 5%;">
      <ion-item lines="none">
        <ion-icon slot="start" name="person-circle-outline"></ion-icon>
        <ion-label>{{ userDetail.displayName }} || {{ userDetail.email }}</ion-label>
        <ion-buttons>
          <ion-button id="toggle-button" slot="end" (click)="signOut()">
            <ion-icon name="log-out-outline"></ion-icon>
          </ion-button>
        </ion-buttons>
      </ion-item>
    </ion-card>

    <!-- <ion-card style="margin-left: 5%; margin-right: 5%;margin-bottom: 5%;">
        <ion-item>
            <ion-icon slot="start" name="cog-outline"></ion-icon>
            <ion-label>Ajustes</ion-label>
        </ion-item>
    </ion-card> -->

    <!--     <ion-card (click)="openPop($event)" style="margin-left: 5%; margin-right: 5%;margin-bottom: 5%;" >
        <ion-item lines="none">
            <ion-icon slot="start" name="language-outline"></ion-icon>
            <ion-label>Lenguage</ion-label>
        </ion-item>
    </ion-card> -->

    <ion-card style="margin-left: 5%; margin-right: 5%;margin-bottom: 5%;">
      <ion-item lines="none" (click)="openPrivacyModal()">
        <ion-icon slot="start" name="lock-closed-outline"></ion-icon>
        <ion-label>Privacidad</ion-label>
      </ion-item>
    </ion-card>

  </ion-list>
</ion-content>

<ion-img id='logoDextailLight' src="./assets/images/dextailslogan.PNG"></ion-img>
<ion-img id='logoDextailDark' src="./assets/images/dextailsloganlight.png"></ion-img>
